<?php

use function DI\create;
use function DI\get;

use RprtCli\Commands\RprtCommand;
use RprtCli\Utils\Configuration\ConfigurationInterface;
use RprtCli\Utils\Configuration\ConfigurationService;
use RprtCli\Utils\CsvReport\CsvReport;
use RprtCli\Utils\CsvReport\CsvReportInterface;
use GuzzleHttp\Client;

return [
  'config.file' => 'rprt.config.yml',
  'config.path' => '~/.config/rprt-cli/',
  'guzzle' => create()->constructor(Client::class),
  ConfigurationInterface::class => get(ConfigurationService::class),
  ConfigurationService::class => create()->constructor(
    get('config.path'),
    get('config.file')
  ),
  'config.service' => get(ConfigurationInterface::class),
  CsvReportInterface::class => get(CsvReport::class),
  CsvReport::class => create()->constructor(
    get('config.service')
  ),
  'csv.report' => get(CsvReportInterface::class),
  RprtCommand::class => create()->constructor(
    get('csv.report'),
    get('config.service')
  )
];
